Bug 91084 - gcc internal error with -fprofile-arcs
gcc internal error with -fprofile-arcs
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-17 11:32 EDT by Laurent Deniel
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-03 19:28:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laurent Deniel 2003-05-17 11:32:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20021120
Netscape/7.01

Description of problem:
# gcc -c -g -fprofile-arcs  util-bug.c
util-bug.c: In function `susystem':
util-bug.c:10: Internal compiler error in branch_prob, at profile.c:592
Please submit a full bug report,

#include <sys/types.h>
#include <unistd.h>
int susystem(void)
{
        int status;
        pid_t pid;
        pid = vfork();
        /* ... */
        return (status);
}

Version-Release number of selected component (if applicable):
3.2.2

How reproducible:
Always

Steps to Reproduce:
1.gcc -c -g -fprofile-arcs  util-bug.c
2.
3.
    

Expected Results:  compilation OK.

Additional info:
Comment 1 Richard Henderson 2004-10-03 19:28:16 EDT
Fails through gcc 3.3; fixed in gcc 3.4.

Note You need to log in before you can comment on or make changes to this bug.